/**
 * @file
 * Invokes the minimal timeline.
 */

(function ($) {
  Drupal.behaviors.timelineJS = {
    attach: function (context) {
      $('.timeline', context).once('min-timeline-processed', function () {
        $(this).timeline({
          forceVerticalMode: Drupal.settings.min_timeline.forceVerticalMode,
          mode: Drupal.settings.min_timeline.mode,
          verticalTrigger: Drupal.settings.min_timeline.verticalTrigger,
          verticalStartPosition: Drupal.settings.min_timeline.verticalStartPosition,
          horizontalStartPosition: Drupal.settings.min_timeline.horizontalStartPosition,
          visibleItems: Drupal.settings.min_timeline.visibleItems,
          moveItems: Drupal.settings.min_timeline.moveItems,
          startIndex: Drupal.settings.min_timeline.startIndex
        });
      });
    }
  }
})(jQuery);
