<?php

/**
 * @file
 * Timeline view.
 */

/**
 * Implements hook_views_plugin().
 */
function min_timeline_views_plugins() {
  return [
    'style' => [
      'simple_timeline_style' => [
        'title' => t('Minimal Timeline'),
        'handler' => 'min_timeline_style_plugin',
        'uses options' => TRUE,
        'help' => t('Display the selected items on a timeline.'),
        'theme' => 'min_timeline',
        'theme path' => drupal_get_path('module', 'min_timeline') . '/theme',
        'theme file' => 'min_timeline.theme.inc',
        'uses row plugin' => TRUE,
        'uses fields' => TRUE,
        'uses grouping' => FALSE,
        'type' => 'normal',
      ],
    ],
    'row' => [
      'simple_timeline_row' => [
        'title' => t('Minimal Timeline Item'),
        'handler' => 'min_timeline_row_plugin',
        'uses options' => TRUE,
        'help' => t('Renderer for a timeline item.'),
        'theme' => 'min_timeline_row',
        'theme path' => drupal_get_path('module', 'min_timeline') . '/theme',
        'theme file' => 'min_timeline.theme.inc',
        'uses fields' => TRUE,
        'type' => 'normal',
      ],
    ],
  ];
}
